summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Hendrikx (whyscream) <tom@whyscream.net>2009-01-14 20:28:56 +0000
committerTom Hendrikx (whyscream) <tom@whyscream.net>2009-01-14 20:28:56 +0000
commitad19d56b2f93868478fe19f2127e9b75bf78cd65 (patch)
tree424c7637e573f3be53645485bb55916b6cb71949 /app-backup/rdup/rdup-0.6.6.ebuild
parentnet-dns/unbound: Version bump (diff)
downloadsunrise-ad19d56b2f93868478fe19f2127e9b75bf78cd65.tar.gz
sunrise-ad19d56b2f93868478fe19f2127e9b75bf78cd65.tar.bz2
sunrise-ad19d56b2f93868478fe19f2127e9b75bf78cd65.zip
app-backup/rdup: New ebuild for rdup, see bug #196309
svn path=/sunrise/; revision=7642
Diffstat (limited to 'app-backup/rdup/rdup-0.6.6.ebuild')
-rw-r--r--app-backup/rdup/rdup-0.6.6.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/app-backup/rdup/rdup-0.6.6.ebuild b/app-backup/rdup/rdup-0.6.6.ebuild
new file mode 100644
index 000000000..eecfbcf66
--- /dev/null
+++ b/app-backup/rdup/rdup-0.6.6.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="rdup is a utility inspired by rsync and the plan9 way of doing backups."
+HOMEPAGE="http://www.miek.nl/projects/rdup"
+SRC_URI="http://www.miek.nl/projects/${PN}/${P}.tar.bz2"
+LICENSE="GPL-3"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/libarchive
+ dev-libs/glib
+ dev-libs/libpcre"
+
+RDEPEND="${DEPEND}"
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dosym ../lib/rdup/rdup-simple.sh /usr/bin/rdup-simple || die "dosym failed"
+
+ dodoc AUTHORS ChangeLog DESIGN README || die "dodoc failed"
+}